#ifndef LCF_IMG_H_
#define LCF_IMG_H_

class IMG {
    public:
        static void GetImgHWCByBuff(unsigned char *fBuff, int fLen, int *h, int *w, int *c);
        static unsigned char *LoadImgFromMemory(unsigned char *fBuff, int fLen, int *w, int *h, int *c);
        static unsigned char *LoadImgFromFile(const char *fName, int *w, int *h, int *c);
        static void hwcMatByRGBSaveToFile(unsigned char *imgMat, int w, int h, int c, const char *fName);
};

#endif
